[
  {
    "Code": "RequestedCode",
    "NameRus": "Запрошенный код",
    "NameEng": "Requested code",
    "IsDefault": true,
    "Required": true,
    "NumberFormat": "@",
    "Order": 1
  },
  {
    "Code": "RequestedType",
    "NameRus": "Тип запрошенного кода",
    "NameEng": "Requested code type",
    "IsDefault": true,
    "Required": true,
    "NumberFormat": "@",
    "Order": 2
  },
  {
    "Code": "RequestedCodeError",
    "NameRus": "Ошибка при запросе кода",
    "NameEng": "Requested code error",
    "IsDefault": true,
    "Required": true,
    "NumberFormat": "@",
    "Order": 3
  },
  {
    "TableColumnType": 18,
    "CanBeNull": true,
    "Code": "ID",
    "NameRus": "Инструмент",
    "FullNameRus": "Идентификатор инструмента (ISIN, если нет, то госрегномер)",
    "NameEng": "Bond",
    "FullNameEng": "Bond ID (ISIN, if not, state registration number etc)",
    "Order": 4,
    "NumberFormat": "@",
    "IsDefault": true,
    "CommentRus": null,
    "CommentEng": null,
    "DbColumn": "ID_FINTOOL"
  },
  {
    "TableColumnType": 11,
    "CanBeNull": true,
    "Code": "DefaultId",
    "NameRus": "Дефолт",
    "FullNameRus": "Номер дефолтного события",
    "NameEng": "Default",
    "FullNameEng": "The number of default events",
    "Order": 5,
    "NumberFormat": "0",
    "IsDefault": true,
    "CommentRus": null,
    "CommentEng": null,
    "DbColumn": "ID"
  },
  {
    "TableColumnType": 18,
    "CanBeNull": true,
    "Code": "DefaultType",
    "NameRus": "Тип дефолта",
    "FullNameRus": "Тип дефолта - технический(дефолт), дефолт, соглашение (о реструктуризации)",
    "NameEng": "Default Type",
    "FullNameEng": "Type of default - technical (default), default, agreement (on restructuring)",
    "Order": 6,
    "NumberFormat": "@",
    "IsDefault": true,
    "CommentRus": null,
    "CommentEng": null,
    "DbColumn": "DEFAULT_TYPE"
  },
  {
    "TableColumnType": 18,
    "CanBeNull": true,
    "Code": "TypeEvent",
    "NameRus": "Тип события",
    "FullNameRus": "Тип события, на котором произошел дефолт",
    "NameEng": "Event Type",
    "FullNameEng": "Type of event where the default occurred",
    "Order": 7,
    "NumberFormat": "@",
    "IsDefault": true,
    "CommentRus": null,
    "CommentEng": null,
    "DbColumn": "EVENT_TYPE"
  },
  {
    "TableColumnType": 11,
    "CanBeNull": true,
    "Code": "EventId",
    "NameRus": "Событие",
    "FullNameRus": "Номер события (по инструменту), на котором произошел дефолт",
    "NameEng": "Event",
    "FullNameEng": "Number of the event (for the instrument) where the default occurred",
    "Order": 8,
    "NumberFormat": "0",
    "IsDefault": true,
    "CommentRus": null,
    "CommentEng": null,
    "DbColumn": "ID_EVENT"
  },
  {
    "TableColumnType": 16,
    "CanBeNull": true,
    "Code": "DefaultDate",
    "NameRus": "Дата дефолта",
    "FullNameRus": "Дата дефолта",
    "NameEng": "Default Date",
    "FullNameEng": "Date of the default",
    "Order": 9,
    "NumberFormat": "m/d/yyyy",
    "IsDefault": true,
    "CommentRus": null,
    "CommentEng": null,
    "DbColumn": "PAY_DATE"
  },
  {
    "TableColumnType": 16,
    "CanBeNull": true,
    "Code": "RealPayDate",
    "NameRus": "Дата платежа",
    "FullNameRus": "Дата платежа, если он состоялся",
    "NameEng": "Payment Date",
    "FullNameEng": "Payment date, if any",
    "Order": 10,
    "NumberFormat": "m/d/yyyy",
    "IsDefault": true,
    "CommentRus": null,
    "CommentEng": null,
    "DbColumn": "REAL_PAY_DATE"
  },
  {
    // Эта колонка не из базы, она считается на клиенте
    "TableColumnType": 9,
    "CanBeNull": true,
    "Code": "EventPeriod",
    "NameRus": "Период",
    "FullNameRus": "Количество дней, прошедшее с даты дефолта до сегодня",
    "NameEng": "Period",
    "FullNameEng": "The number of days since the default date to today",
    "Order": 11,
    "NumberFormat": "0",
    "IsDefault": true,
    "CommentRus": null,
    "CommentEng": null,
    "DbColumn": "EventPeriod"
  },
  {
    "TableColumnType": 18,
    "CanBeNull": true,
    "Code": "Note",
    "NameRus": "Примечания",
    "FullNameRus": "Описание подробностей дефолтного события",
    "NameEng": "Notes",
    "FullNameEng": "The description of the details of default events",
    "Order": 12,
    "NumberFormat": "@",
    "IsDefault": true,
    "DbColumn": "NOTE"
  },
  {
    "TableColumnType": 18,
    "Code": "SecurityType",
    "NameRus": "Тип",
    "FullNameRus": "Тип выпуска/расписки/фонда",
    "NameEng": "Security Type",
    "FullNameEng": "Security Type",
    "Order": 13,
    "NumberFormat": "@",
    "IsDefault": true
  },
  {
    "TableColumnType": 18,
    "Code": "Country",
    "NameRus": "Страна",
    "FullNameRus": "ОКСМ-код страны",
    "NameEng": "Country",
    "FullNameEng": "Country OKSM-code",
    "Order": 14,
    "NumberFormat": "@",
    "IsDefault": true
  },
  {
    "TableColumnType": 18,
    "Code": "NickName",
    "NameRus": "Кр. наименование",
    "FullNameRus": "Краткое наименование финансового инструмента",
    "NameEng": "Short name",
    "FullNameEng": "Short name",
    "Order": 15,
    "NumberFormat": "@",
    "IsDefault": true
  },
  {
    "TableColumnType": 18,
    "Code": "ISINCode",
    "NameRus": "ISIN",
    "FullNameRus": "ISIN-код",
    "NameEng": "ISIN",
    "FullNameEng": "ISIN-code",
    "Order": 16,
    "NumberFormat": "@",
    "IsDefault": true
  },
  {
    "TableColumnType": 18,
    "Code": "RegCode",
    "NameRus": "Рег. номер",
    "FullNameRus": "Регистрационный номер",
    "NameEng": "Reg. number",
    "FullNameEng": "Registration number",
    "Order": 17,
    "NumberFormat": "@",
    "IsDefault": true
  }
]